#
# spec file for package gspiceui
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        GUI for the Spice Simulators ngspice and gnucap
License:        GPL-3.0
Group:          Productivity/Scientific/Electronics
Name:           gspiceui
Version:        1.1.00
Release:        lp150.1.1
Url:            http://sourceforge.net/projects/gspiceui
Source0:        https://sourceforge.net/projects/gspiceui/files/gSpiceUI/gspiceui-v1.1.00/gspiceui-v1.1.00.tar.gz/download#/gspiceui-v%{version}.tar.gz
# PATCH-FIX-OPENSUSE use_optflags.diff - Compile using distribution optflags
Patch0:         use_optflags.diff
# PATCH-FIX-OPENSUSE adapt_html_help_path.diff - Set search path to distribution documentation directory
Patch1:         adapt_html_help_path.diff
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(pangox)
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-devel >= 3.0
Requires:       geda-gnetlist
Recommends:     ngspice

%description
The GNU Spice GUI provides a frontend for the circuit simulators ngspice
and gnucap.


%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1
%patch1 -p1

%build
export CXXFLAGS="%optflags"
%__make %{?_smp_mflags} VERBOSE=1

%install
install -d %{buildroot}/%{_datadir}/gspiceui
(cd src; make DESTDIR=%{buildroot}/%{_prefix} install)
(cd sch; make DESTDIR=%{buildroot}/%{_prefix} install)
(cd lib; make DESTDIR=%{buildroot}/%{_prefix} install)

install -m644 -D -t %{buildroot}/%{_mandir}/man1/ gspiceui.1
for size in 32 48 ; do
    install -m644 -D src/icons/gspiceui-${size}x${size}.xpm %{buildroot}/%{_datadir}/icons/hicolor/${size}x${size}/apps/gspiceui.xpm
done

%suse_update_desktop_file -c gspiceui gspiceui gspiceui gspiceui gspiceui Education Engineering

# Cleanup
find %{buildroot}/%{_prefix} -iname \*Makefile -print -delete


%files
%doc ReadMe ChangeLog html
%license License
%{_bindir}/*
%dir %{_datadir}/gspiceui
%{_datadir}/gspiceui/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*

%changelog
* Sun May  6 2018 stefan.bruens@rwth-aachen.de
- Update to version 1.1.00
  * An Operating Point panel has been introduced for NG-Spice.
  * Major re-work of the class PnlValue and related classes. Functionality is the same but the
    architecture is better and many subtle bugs have been addressed.
  * There are now two options for the main window layout in the Preferences dialogue.
  * The PnlValue class spin control repeat rate can now be set in the Preferences dialogue.
  * gSpiceUI can now be built against the latest version of wxWidgets ie. v3.0.02.
  * Show or disable tool tips now works.
  * Refinements of the OPTIONS dialogues (mostly more parameters are now supported).
  * All temperature values are now in Celcius (support for Kelvin and Fahrenheit has been dropped).
  * GNU-Cap FO analysis panel temporarily disabled.
- Change License, gSpiceUI is GPL-3 now
- Add use_optflags.diff
- Cleanup installation
  * Install license
  * Install documentation in _docdir, add adapt_html_help_path.diff
  * Remove spurious makefiles
  * Install icons at proper location
  * Add desktop file
- Require geda-gnetlist
- Recommend ngspice
* Fri Aug 31 2012 scorot@free.fr
- fix compilation for old wxWindow for SLE 11 with patch1
- spec file reformating
* Sat Nov 19 2011 werner.ho@gmx.de
- new version 1.0.00
- compilation fix for 11.x versions
* Thu Mar 17 2011 Werner Hoch <werner.ho@gmx.de> - 0.9.99
- new version 0.9.99
- build fix for openSUSE 11.4
* Thu Oct 22 2009 Werner Hoch <werner.ho@gmx.de> - 0.9.98
- new version 0.9.98
- removed Makefile patch
* Sat Oct 10 2009 Werner Hoch <werner.ho@gmx.de> - 0.9.97
- new version 0.9.97
- removed locale patch
- added Makefile patch
* Sat Apr  4 2009 Werner Hoch <werner.ho@gmx.de> - 0.9.65
- made locale patch unconditional
- removed support for older distributions
* Mon Nov 24 2008 Werner Hoch <werner.ho@gmx.de>
- build fixes for factory
* Tue Mar  4 2008 Werner Hoch <werner.ho@gmx.de>
- new version 0.9.65
* Mon Oct 29 2007 Werner Hoch <werner.ho@gmx.de>
- new version 0.9.55
* Thu Aug  2 2007 Werner Hoch <werner.ho@gmx.de>
- new version 0.9.33
- added Makefile patch to correct directory expanding
* Tue Oct 31 2006 Werner Hoch <werner.ho@gmx.de>
- updated version to 0.8.90
* Sat Oct 14 2006 Werner Hoch <werner.ho@gmx.de>
- first specfile
